## Function template register_sink_factory

boost::log::register_sink_factory — The function registers a factory for a custom sink.

## Synopsis

    // In header: <boost/log/utility/setup/from_settings.hpp>

    template<typename CharT>
      void register_sink_factory(std::string const & sink_name,
                                 shared_ptr< sink_factory< CharT > > const & factory);

## Description

The function registers a factory for a sink. The factory will be called to create sink instance when the parser discovers the specified sink type in the settings file. The factory must accept a map of parameters [parameter name -> parameter value] that it may use to initialize the sink. The factory must return a non-NULL pointer to the constructed sink instance.

Parameters:

`factory` | Pointer to the custom sink factory. Must not be NULL.
`sink_name` | The custom sink name